# -*- coding: iso_8859_1 -*-

from aspylib import astro, conf
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	Purpose
#------------------------------------------------------------------------------------
#
#	This script plots the median values of a series of images
#
#------------------------------------------------------------------------------------
#	Input parameters
#------------------------------------------------------------------------------------

Imagelist = [conf.folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(20)]

#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

med = []

for im in Imagelist:

	#loading images
	image = astro.get_imagedata([im])

	#finds median values
	med.append(astro.get_median(image)[0])

plt.figure()
plt.plot(med)
plt.show()
