/*****************************************************************************
 *	Includes / define
 ****************************************************************************/
//system includes
//none

//other includes
#include	"dll.h"

/*****************************************************************************
 *	Definition of main functions
 ****************************************************************************/

extern "C"
{
int Sigma_clipping(int dim, int dim_x, int dim_y, float * a, float sigma, int iterations, float* b)
{
       float *buffer = new float[dim];

        for (int i=0; i<dim_x; i++)
        for (int j=0; j<dim_y; j++)
        {
            for (int p=0; p<dim; p++)
                buffer[p] = a[p*dim_x*dim_y + i*dim_y + j];

            b[i*dim_y + j] = sigma_clip(buffer,dim,sigma,iterations);
        }
      delete [] buffer;
      return(0);
}
}
